- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_MMCCardObj Struct Reference
MMC/SD Data Structures

structure for card specific information. More...

`#include <csl_mmcsd.h>`

## Data Fields
Uint16 | rca
Uint16 | ST0
Uint16 | ST1
Uint16 | cardIndex
Uint32 | maxXfrRate
Uint32 | readAccessTime
Uint32 | cardCapacity
Uint32 | blockLength
Uint32 | totalSectors
Uint32 | lastAddrRead
Uint32 | lastAddrWritten
CSL_CardType | cardType
CSL_MMCCardIdObj * | cid
CSL_MMCCardCsdObj * | csd
CSL_MMCCardXCsdObj * | xcsd
Bool | sdHcDetected
Bool | cardAtaFsOpen
Uint16 | cardMscStatus

## Detailed Description

structure for card specific information.

## Field Documentation

Uint32 CSL_MMCCardObj::blockLength

Block length of card

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Bool CSL_MMCCardObj::cardAtaFsOpen

Flag to indicate whether ATAFS open on card

Uint32 CSL_MMCCardObj::cardCapacity

Total memory available on card Note: For CSD Version 1.0 (CSL_MMCCardCsdObj.csdStruct = 0) capacity will be in bytes For CSD Version 2.0 (CSL_MMCCardCsdObj.csdStruct = 1) capacity will be in KBytes

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint16 CSL_MMCCardObj::cardIndex

MMC module assigned card index for card

Uint16 CSL_MMCCardObj::cardMscStatus

MSC status for card

CSL_CardType CSL_MMCCardObj::cardType

Type of the card - MMC or SD

Referenced by MMC_deselectCard(), MMC_selectCard(), MMC_sendOpCond(), and MMC_setCardType().

CSL_MMCCardIdObj* CSL_MMCCardObj::cid

Manufacturers Card ID

Referenced by MMC_sendAllCID(), and SD_sendAllCID().

CSL_MMCCardCsdObj* CSL_MMCCardObj::csd

Card specific data

Referenced by MMC_getCardCsd(), and SD_getCardCsd().

Uint32 CSL_MMCCardObj::lastAddrRead

Last address read from memory card

Referenced by MMC_read().

Uint32 CSL_MMCCardObj::lastAddrWritten

Last Address written to memory card

Referenced by MMC_write().

Uint32 CSL_MMCCardObj::maxXfrRate

Maximum transfer rate

Uint16 CSL_MMCCardObj::rca

MMC card: User assigned relative card address (RCA). SD card: Relative card address (RCA) published by the card

Referenced by MMC_getCardCsd(), MMC_getCardStatus(), MMC_setRca(), MMC_setWriteBlkEraseCnt(), SD_configurePullup(), SD_getCardCsd(), SD_sendRca(), and SD_setBusWidth().

Uint32 CSL_MMCCardObj::readAccessTime

TAAC - exp * mantissa

Bool CSL_MMCCardObj::sdHcDetected

Flag to indicate detection of SD HC card

Referenced by MMC_issueReadCommand(), MMC_read(), MMC_readNSectors(), MMC_selectCard(), MMC_write(), MMC_writeNSectors(), and MMC_writeSector().

Uint16 CSL_MMCCardObj::ST0

Last read ST0 register value

Referenced by MMC_saveStatus().

Uint16 CSL_MMCCardObj::ST1

Last read ST1 register value

Referenced by MMC_saveStatus().

Uint32 CSL_MMCCardObj::totalSectors

Total number of sectors on card

Referenced by MMC_getCardCsd(), MMC_issueReadCommand(), MMC_readNSectors(), MMC_writeNSectors(), MMC_writeSector(), and SD_getCardCsd().

CSL_MMCCardXCsdObj* CSL_MMCCardObj::xcsd

Extended CSD

The documentation for this struct was generated from the following file:

- csl_mmcsd.h